Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.download.util
Class ZipConfig

    java.lang.Object
      javazoom.download.util.Config
          javazoom.download.util.ZipConfig

All Implemented Interfaces:
  java.io.Serializable

public class ZipConfig
extends Config

This class implements a Config for ZIP archive. In addition to the set of properties and FileInfo, it adds the path to zip file.

See Also:
  Serialized Form

Constructor Summary
`ZipConfig()`

Method Summary
`java.lang.String` | `getPath()` Returns ZIP archive path.
`java.util.Vector` | `listFiles(boolean enablesubfolders)` List all files available in the Config.
`void` | `setPath(java.lang.String path)` Sets path to ZIP archive.

Methods inherited from class javazoom.download.util.Config
`addListener, getDescription, getDownloadSource, getFiles, getId, getListeners, getMimes, getProperties, listFiles, notifyCounters, notifyListeners, removeListener, setDescription, setDownloadSource, setFiles, setId, setMimes, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipConfig

    public ZipConfig()

Method Detail

### getPath

    public java.lang.String getPath()

  Returns ZIP archive path.

  Returns:
    ZIP archive path.

### setPath

    public void setPath(java.lang.String path)

  Sets path to ZIP archive.

  Parameters:
    `path` - Input path.

### listFiles

    public java.util.Vector listFiles(boolean enablesubfolders)

  Description copied from class: `Config`
  List all files available in the Config.

  Specified by:
    `listFiles` in class `Config`
  Parameters:
    `enablesubfolders` - boolean
  Returns:
    Vector

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD